local AddonName, a = ...
if a.BuildFail(50000) then return end

local L = a.Localize
local s = SpellFlashAddon
local c = BittensSpellFlashLibrary

a.Rotations = {}
a.SetSpamFunction(function()
    c.Flash(a)
end)

a.Rotations.Elemental = {
    Spec = 1,
    OffSwitch = "elemental_off",
    
    FlashInCombat = function()
        c.FlashAll("Elemental Mastery", "Wind Shear")
        c.PriorityFlash(
        	"Elemental Blast",
            "Fire Elemental Totem",
            "Ancestral Swiftness",
            "Unleash Elements",
            "Lava Burst",
            "Flame Shock",
            "Earth Shock for Fulmination",
            "Earth Elemental Totem",
            "Searing Totem",
            "Lightning Bolt")
    end,
    
    FlashOutOfCombat = function()
        c.FlashAll("Thunderstorm")
    end,
    
    FlashAlways = function()
        c.FlashAll("Lightning Shield", "Flametongue Weapon")
    end,
}
